<html>
<head>
<title>OGRE: Ogre::QueuedRenderableCollection::DepthSortDescendingLess Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>::<a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html">DepthSortDescendingLess</a></div>
<h1>Ogre::QueuedRenderableCollection::DepthSortDescendingLess Struct Reference</h1><!-- doxytag: class="Ogre::QueuedRenderableCollection::DepthSortDescendingLess" -->Comparator to order objects by descending camera distance.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#d7c5f19a708502c538b73c7ee8e3ca1f">DepthSortDescendingLess</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool _OgreExport&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#e7f6866b54ba54e39ad26d5b706771aa">operator()</a> (const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;a, const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;b) const </td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#59ff46e2fa195e05f28518e32c07c7db">camera</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Comparator to order objects by descending camera distance. 
<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00152">152</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d7c5f19a708502c538b73c7ee8e3ca1f"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::DepthSortDescendingLess::DepthSortDescendingLess" ref="d7c5f19a708502c538b73c7ee8e3ca1f" args="(const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::DepthSortDescendingLess           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00156">156</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e7f6866b54ba54e39ad26d5b706771aa"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()" ref="e7f6866b54ba54e39ad26d5b706771aa" args="(const RenderablePass &amp;a, const RenderablePass &amp;b) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool _OgreExport Ogre::QueuedRenderableCollection::DepthSortDescendingLess::operator()           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>b</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00161">161</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

<p>References <a class="el" href="OgrePass_8h-source.html#l01135">Ogre::Pass::getHash()</a>, <a class="el" href="classOgre_1_1Renderable.html#32353addc2f1d02512314b5d1a53c5c1">Ogre::Renderable::getSquaredViewDepth()</a>, <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00051">Ogre::RenderablePass::pass</a>, <a class="el" href="classOgre_1_1Math.html#890336e0e4b6914024bfefd79c08f432">Ogre::Math::RealEqual()</a>, and <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00049">Ogre::RenderablePass::renderable</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="59ff46e2fa195e05f28518e32c07c7db"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::DepthSortDescendingLess::camera" ref="59ff46e2fa195e05f28518e32c07c7db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Camera.html">Camera</a>* <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#59ff46e2fa195e05f28518e32c07c7db">Ogre::QueuedRenderableCollection::DepthSortDescendingLess::camera</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00154">154</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:07 2008
</p>
</body>
</html>
